Bug 1122561 - Admin Guide does not mention that lifespan greater than 30 days reverts to num seconds since 1/1/1970
Summary: Admin Guide does not mention that lifespan greater than 30 days reverts to nu...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Post GA
: 6.3.0
Assignee: Misha H. Ali
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 14:04 UTC by John Osborne
Modified: 2014-08-14 01:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-14 01:39:56 UTC
Type: Bug


Attachments (Terms of Use)

Description John Osborne 2014-07-23 14:04:27 UTC
I was developing an app with JDG and this was a huge gotchya for me.

After looking through all the enterprise and community docs, I found on the community page that if you set lifespan > 30 days then it reverts to the number of seconds since 1970.

If someone by default sets lifespan = 9999999 or something similar then all the entries in their cache will be expired.

UPDATE: I did find that this was references in the API Doc, however, since it is a big gotchya it should be added to the getting started and admin guide in my opinion.

Comment 2 Misha H. Ali 2014-07-23 14:58:09 UTC
Good point. Thanks, John. We're working on this for an async release for 6.3 now.

Comment 6 Tristan Tarrant 2014-08-04 09:48:53 UTC
ReplaceWithVersion in the RemoteCache API is in fact ReplaceIfUnmodifiedOperation under the hood and that is documented in the HotRod protocol spec.
PutIfAbsent is documented together with the Put and Replace operations, since they are all implemented  by the same protocol op underneath.

Comment 8 Tomas Sykora 2014-08-05 08:32:08 UTC
It looks like important information were conveyed to the reader and Tristan's input was also respectively implemented.

Comment 9 Misha H. Ali 2014-08-14 01:39:56 UTC
The fix for this bug is now available on access.redhat.com:

https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.3/


Note You need to log in before you can comment on or make changes to this bug.